import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';
import { IntWithAggregatesFilterObjectSchema as IntWithAggregatesFilterObjectSchema } from './IntWithAggregatesFilter.schema';
import { JsonWithAggregatesFilterObjectSchema as JsonWithAggregatesFilterObjectSchema } from './JsonWithAggregatesFilter.schema'

const proceduretimeslotscalarwherewithaggregatesinputSchema = z.object({
  AND: z.union([z.lazy(() => ProcedureTimeslotScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => ProcedureTimeslotScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  OR: z.lazy(() => ProcedureTimeslotScalarWhereWithAggregatesInputObjectSchema).array().optional(),
  NOT: z.union([z.lazy(() => ProcedureTimeslotScalarWhereWithAggregatesInputObjectSchema), z.lazy(() => ProcedureTimeslotScalarWhereWithAggregatesInputObjectSchema).array()]).optional(),
  id: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  userId: z.union([z.lazy(() => IntWithAggregatesFilterObjectSchema), z.number().int()]).optional(),
  data: z.lazy(() => JsonWithAggregatesFilterObjectSchema).optional()
}).strict();
export const ProcedureTimeslotScalarWhereWithAggregatesInputObjectSchema: z.ZodType<Prisma.ProcedureTimeslotScalarWhereWithAggregatesInput> = proceduretimeslotscalarwherewithaggregatesinputSchema as unknown as z.ZodType<Prisma.ProcedureTimeslotScalarWhereWithAggregatesInput>;
export const ProcedureTimeslotScalarWhereWithAggregatesInputObjectZodSchema = proceduretimeslotscalarwherewithaggregatesinputSchema;
